Patchwork D12033: requirements: move the comment about manifestv2 in the module

login
register
mail settings
Submitter phabricator
Date Jan. 24, 2022, 11:37 a.m.
Message ID <differential-rev-PHID-DREV-j2jy2srupdlgg4cchbvg-req@mercurial-scm.org>
Download mbox | patch
Permalink /patch/50360/
State New
Headers show

Comments

phabricator - Jan. 24, 2022, 11:37 a.m.
marmoute created this revision.
Herald added a reviewer: hg-reviewers.
Herald added a subscriber: mercurial-patches.

REVISION SUMMARY
  This is about requirements, so lets put it into the requirements module.
  
  We are about to remove code it was previously attached too.

REPOSITORY
  rHG Mercurial

BRANCH
  default

REVISION DETAIL
  https://phab.mercurial-scm.org/D12033

AFFECTED FILES
  mercurial/localrepo.py
  mercurial/requirements.py

CHANGE DETAILS




To: marmoute, #hg-reviewers
Cc: mercurial-patches, mercurial-devel

Patch

diff --git a/mercurial/requirements.py b/mercurial/requirements.py
--- a/mercurial/requirements.py
+++ b/mercurial/requirements.py
@@ -7,6 +7,12 @@ 
 
 from __future__ import absolute_import
 
+# obsolete experimental requirements:
+#  - manifestv2: An experimental new manifest format that allowed
+#    for stem compression of long paths. Experiment ended up not
+#    being successful (repository sizes went up due to worse delta
+#    chains), and the code was deleted in 4.6.
+
 GENERALDELTA_REQUIREMENT = b'generaldelta'
 DOTENCODE_REQUIREMENT = b'dotencode'
 STORE_REQUIREMENT = b'store'
diff --git a/mercurial/localrepo.py b/mercurial/localrepo.py
--- a/mercurial/localrepo.py
+++ b/mercurial/localrepo.py
@@ -1274,11 +1274,6 @@ 
     used.
     """
 
-    # obsolete experimental requirements:
-    #  - manifestv2: An experimental new manifest format that allowed
-    #    for stem compression of long paths. Experiment ended up not
-    #    being successful (repository sizes went up due to worse delta
-    #    chains), and the code was deleted in 4.6.
     supportedformats = {
         requirementsmod.REVLOGV1_REQUIREMENT,
         requirementsmod.GENERALDELTA_REQUIREMENT,